## org.apache.batik.ext.awt.image.renderable
Interface MorphologyRable

All Superinterfaces:
  Filter, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  MorphologyRable8Bit

public interface MorphologyRable
extends Filter

Implements a Morphology operation, where the kernel size is defined by radius along the x and y axis.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`boolean` `getDoDilation()` Returns whether the operation is "dilation" or not("erosion")
`double` `getRadiusX()` Returns the radius along the x-axis, in user space.
`double` `getRadiusY()` Returns the radius along the y-axis, in user space.
`Filter` `getSource()` Returns the source to be offset.
`void` `setDoDilation(boolean doDilation)` The switch that determines if the operation is to "dilate" or "erode".
`void` `setRadiusX(double radiusX)` The radius along the x axis, in user space.
`void` `setRadiusY(double radiusY)` The radius along the y axis, in user space.
`void` `setSource(Filter src)` Sets the source to be offset.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    public Filter getSource()

  Returns the source to be offset.

### setSource

    public void setSource(Filter src)

  Sets the source to be offset.

  Parameters:
    `src` - image to offset.

### setRadiusX

    public void setRadiusX(double radiusX)

  The radius along the x axis, in user space.

  Parameters:
    `radiusX` - should be greater than zero.

### setRadiusY

    public void setRadiusY(double radiusY)

  The radius along the y axis, in user space.

  Parameters:
    `radiusY` - should be greater than zero.

### setDoDilation

    public void setDoDilation(boolean doDilation)

  The switch that determines if the operation is to "dilate" or "erode".

  Parameters:
    `doDilation` - do "dilation" when true and "erosion" when false

### getDoDilation

    public boolean getDoDilation()

  Returns whether the operation is "dilation" or not("erosion")

### getRadiusX

    public double getRadiusX()

  Returns the radius along the x-axis, in user space.

### getRadiusY

    public double getRadiusY()

  Returns the radius along the y-axis, in user space.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.